{
  options,
  ...
}:
{
  networking = {
    hostName = "LillyPC";
    networkmanager.enable = true;
    timeServers = options.networking.timeServers.default ++ ["pool.ntp.org"];
    firewall = {
      enable = false;
      allowedTCPPorts = [
        22
        80
        443
        59010
        59011
        8080
      ];
      allowedUDPPorts = [
        59010
        59011
      ];
    };
  };
  services.tailscale = {
    enable = true;
    useRoutingFeatures = "client";
  };
}
